<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.DmpSoftwareUpgradeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.DmpSoftwareUpgrade">
        <id column="id" property="id" />
        <result column="product_id" property="productId" />
        <result column="version_name" property="versionName" />
        <result column="major_version" property="majorVersion" />
        <result column="minor_version" property="minorVersion" />
        <result column="package_length" property="packageLength" />
        <result column="check_code" property="checkCode" />
        <result column="version_describe" property="versionDescribe" />
        <result column="implement_time" property="implementTime" />
        <result column="created_by" property="createdBy" />
        <result column="created_time" property="createdTime" />
        <result column="updated_by" property="updatedBy" />
        <result column="updated_time" property="updatedTime" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
